%define name	fbida
%define version 2.06
%define release %mkrel 4

Summary:	Collection of applications for viewing and editing images
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		Graphics
URL:		http://linux.bytesex.org/fbida/
Buildroot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
Source:		http://dl.bytesex.org/releases/fbida/%{name}-%{version}.tar.gz
Obsoletes:	fbi
Provides:	fbi
BuildRequires:	curl-devel
BuildRequires:	freetype2-devel
BuildRequires:	jpeg-devel
BuildRequires:	libexif-devel
BuildRequires:	lirc-devel
BuildRequires:	png-devel
BuildRequires:	sane-devel
BuildRequires:	tiff-devel
BuildRequires:	ungif-devel
BuildRequires:	lesstif-devel
BuildRequires:	xpm-devel
BuildRequires: 	fontconfig-devel
BuildRequires:	xsysinfo
Requires:	ImageMagick
Requires:	ghostscript

%description
The fbida project contains a few applications for viewing and editing
images, with the main focus being photos. The applications are:

fbi      - Image viewer for Linux framebuffer console
fbgs     - Wrapper script using fbi, for viewing ps/pdf files on framebuffer
ida      - X11 application (Motif based) for viewing images with
           basic editing functions
exiftran - command line tool to do lossless transformations of JPEG
           images, similar to jpegtran but includes EXIF data
thumbnail.cgi - CGI script to extract EXIF thumbnails from jpeg images
                and send them to web browser

This project used to be 2 seperate projects (fbi and ida), but later
merged by author.

%prep
%setup -q

%build
export CFLAGS="%optflags"
%make verbose=yes

%install
rm -rf %{buildroot}
%makeinstall_std prefix=%{_prefix}

mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/pclinuxos-%{name}.desktop <<EOF
[Desktop Entry]
Encoding=UTF-8
Name=IDA Image Viewer
Comment=Basic image viewer and editor
Exec=%{_bindir}/ida
Icon=graphics_section.png
Terminal=false
Type=Application
StartupNotify=true
Categories=X-MandrivaLinux-Multimedia-Graphics;
EOF

%clean
rm -rf %{buildroot}

%post
%{update_desktop_database}

%postun
%{clean_desktop_database}


%files
%defattr(-,root,root)
%doc Changes COPYING README
%config(noreplace) %{_sysconfdir}/X11/app-defaults/*
%{_bindir}/*
%{_datadir}/applications/pclinuxos-%{name}.desktop
%{_mandir}/man1/*


%changelog
* Wed Sep 05 2007 Texstar <texstar@gmail.com> 2.06-4pclos2007
- fix menu name to pclinuxos
- add post scripts update and clean desktop database
- fix menu entry X-MandrivaLinux-Multimedia-Graphics;

* Fri Aug 31 2007 KDulcimer <kdulcimer@gmail.com> 2.06-3pclos_tinyme2007
- Import to PCLOS/TinyMe 2007

* Wed Jul 18 2007 Adam Williamson <awilliamson@mandriva.com> 2.06-2mdv2008.0
+ Revision: 53338
- rebuild with new lesstif
- add menu entry for ida

